Bug 1282119 - cppcheck-1.73 is available
cppcheck-1.73 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cppcheck (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 19:12 EST by Upstream Release Monitoring
Modified: 2016-05-27 19:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: cppcheck-1.73-1.fc24 cppcheck-1.73-1.fc23 cppcheck-1.73-1.fc22 cppcheck-1.73-1.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-15 17:36:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 1.71 (#1282119) (981 bytes, patch)
2015-11-14 19:12 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.72 (#1282119) (863 bytes, patch)
2016-01-09 19:12 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (8.13 KB, patch)
2016-04-09 20:19 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-11-14 19:12:26 EST
Latest upstream release: 1.71
Current version/release in rawhide: 1.70-4.fc24
URL: http://sourceforge.net/projects/cppcheck

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-11-14 19:12:55 EST
Created attachment 1094262 [details]
[patch] Update to 1.71 (#1282119)
Comment 2 Upstream Release Monitoring 2015-11-14 19:26:59 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11841563
Comment 3 Upstream Release Monitoring 2016-01-09 19:11:55 EST
Latest upstream release: 1.72
Current version/release in rawhide: 1.70-4.fc24
URL: http://sourceforge.net/projects/cppcheck

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 4 Upstream Release Monitoring 2016-01-09 19:12:27 EST
Created attachment 1113215 [details]
[patch] Update to 1.72 (#1282119)
Comment 5 Upstream Release Monitoring 2016-01-09 19:15:33 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12488798
Comment 6 Upstream Release Monitoring 2016-04-09 20:18:30 EDT
Latest upstream release: 1.73
Current version/release in rawhide: 1.70-4.fc24
URL: http://sourceforge.net/projects/cppcheck

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/357/
Comment 7 Upstream Release Monitoring 2016-04-09 20:19:20 EDT
Patching or scratch build for cppcheck-1.70 failed.
Comment 8 Upstream Release Monitoring 2016-04-09 20:19:21 EDT
Created attachment 1145490 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 9 Upstream Release Monitoring 2016-04-09 20:19:23 EDT
Patches were not touched. All were applied properly
Comment 10 Upstream Release Monitoring 2016-04-10 02:59:20 EDT
jussilehtola's cppcheck-1.73-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=752986
Comment 11 Fedora Update System 2016-04-10 18:04:13 EDT
cppcheck-1.73-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c2c0219139
Comment 12 Fedora Update System 2016-04-10 18:04:19 EDT
cppcheck-1.73-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bff81ca0a
Comment 13 Fedora Update System 2016-04-10 18:04:23 EDT
cppcheck-1.73-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b388805762
Comment 14 Fedora Update System 2016-04-10 18:04:28 EDT
cppcheck-1.73-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5453ab215
Comment 15 Fedora Update System 2016-04-11 06:19:16 EDT
cppcheck-1.73-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bff81ca0a
Comment 16 Fedora Update System 2016-04-13 04:35:34 EDT
cppcheck-1.73-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5453ab215
Comment 17 Fedora Update System 2016-04-13 05:28:57 EDT
cppcheck-1.73-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c2c0219139
Comment 18 Fedora Update System 2016-04-13 09:52:30 EDT
cppcheck-1.73-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b388805762
Comment 19 Fedora Update System 2016-04-15 17:36:01 EDT
cppcheck-1.73-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-04-21 21:25:08 EDT
cppcheck-1.73-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-04-21 21:50:21 EDT
cppcheck-1.73-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-05-27 19:50:12 EDT
cppcheck-1.73-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.